<?php
/**
 * @package RSDirectory!
 * @copyright (C) 2021 www.rsjoomla.com
 * @license GPL, http://www.gnu.org/copyleft/gpl.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

if ( !file_exists(JPATH_ADMINISTRATOR . '/components/com_rsdirectory/helpers/rsdirectory.php') )
{
    return;
}

require_once JPATH_ADMINISTRATOR . '/components/com_rsdirectory/helpers/rsdirectory.php';

// Get mainframe.
$app = JFactory::getApplication();

// Restrict the module only to the entries page.
if ($params->get('hide_on_other_pages', 0) && ($app->input->get('option') != 'com_rsdirectory' || $app->input->get('view') != 'entries'))
{
	return;
}

// Load language.
JFactory::getLanguage()->load('com_rsdirectory');

$entriesModel = RSDirectoryModel::getInstance('Entries');
$letters = $entriesModel->getLetters($params);
$currentLetter = $app->input->get('alpha', '', 'raw');

if ($params->get('use_reset', 1) && strlen($currentLetter)) {
	$resetUrl = $entriesModel->getLettersUrl();
} else {
	$resetUrl = false;
}

if ($currentLetter == JText::_('COM_RSDIRECTORY_SEF_SPECIAL'))
{
    $currentLetter = '#';
}
	
require JModuleHelper::getLayoutPath('mod_rsdirectory_alphabetical', $params->get('layout', 'default'));