<?php
/**
 * @package RSDirectory!
 * @copyright (C) 2021 www.rsjoomla.com
 * @license GPL, http://www.gnu.org/copyleft/gpl.html
 */

// No direct access.
defined('_JEXEC') or die('Restricted access');

JHtml::_('stylesheet', 'mod_rsdirectory_alphabetical/style.css', array('relative' => true, 'version' => 'auto'));
?>

<?php if (!empty($letters)) { ?>
<div class="rsdir-module-letters">
    <?php foreach ($letters as $letter => $link) { ?>
		<?php		
		$classes = array('alpha-link');
		if (!$link)
		{
			$classes[] = 'alpha-no-link';
		}
		if (strlen($currentLetter) && (string) $currentLetter === (string) $letter)
		{
			$classes[] = 'selected';
		}
		?>
		<div class="<?php echo implode(' ', $classes); ?>">
			<?php if ($link) { ?>
				<a href="<?php echo $link; ?>"><?php echo htmlspecialchars(RSDirectoryHelper::mb_strtoupper($letter), ENT_COMPAT, 'utf-8'); ?></a>
			<?php } else { ?>
				<?php echo htmlspecialchars(RSDirectoryHelper::mb_strtoupper($letter), ENT_COMPAT, 'utf-8'); ?>
			<?php } ?>
		</div>
	<?php } ?>
	
	<?php if ($resetUrl) { ?>
		<div class="clearfix"></div>
		<a href="<?php echo JRoute::_($resetUrl, false); ?>" class="btn btn-danger <?php echo RsdirectoryAdapterGrid::float('right'); ?>"><?php echo JText::_('MOD_RSDIRECTORY_ALPHABETICA_RESET'); ?></a>
		<div class="clearfix"></div>
	<?php } ?>
</div>
<?php }